$(document).ready(function(){
    $('.discountFilter input').on('ifToggled',function(){
        $('.articleDiscount').hide();//покажем все скидки
        var checkedVals = Array();//массив для значений чекнутых крыжей
        $('.discountFilter input:checked').each(function(){//запишем все чекнутые крыжики в массив
            checkedVals[checkedVals.length] = $(this).val();
        });
        $('.articleDiscount').each(function(){//идем по каждому дисконту
            var currentParams = $(this).attr('data').split(',');//загоняем в массив параметры текущего дисконта
            for(var i in currentParams){
                for(var e in checkedVals){
                    if(currentParams[i]==checkedVals[e])
                        $(this).show();
                }
            }
        });
        if($('.discountFilter input:checked').length==0){
            $('.articleDiscount').show();
        }
    });

    if( $('.jobs').html() ){
        var now = $('.widget ul li.current').index();
        $('.widget ul li.current a').click(function(){
            if($(this).hasClass('clicked')){
                $(this).removeClass('clicked');
                $('.widget ul li').each(function(i){
                    if(i!=now){
                        var el=$(this);
                        setTimeout(function(){
                            $(el).fadeOut(100)
                        },(i*30));
                    }
                });
            }else{
                $(this).addClass('clicked');
                $('.widget ul li').each(function(i){
                    if(i!=now){
                        var el=$(this);
                        setTimeout(function(){
                            $(el).fadeIn(100)
                        },(i*30));
                    }
                });
            }
            return false;
        });
    }else{
        $('.widget ul li.current a').click(function(){
            if($(this).hasClass('clicked')){
                $(this).removeClass('clicked');
                $('.widget ul li').each(function(i){
                    if(i!=0){
                        var el=$(this);
                        setTimeout(function(){
                            $(el).fadeOut(100)
                        },(i*30));
                    }
                });
            }
            else {
                $(this).addClass('clicked');
                $('.widget ul li').each(function(i){
                    if(i!=0){
                        var el=$(this);
                        setTimeout(function(){
                            $(el).fadeIn(100)
                        },(i*30));
                    }
                });
            }
            return false;
        });

        $('.widget ul li a').click(function(){
            if(!$(this).parent('li').hasClass('current')){
                $.post('/scripts?mode=setNewCity',{
                    city: $(this).attr('href')
                },function(data){
                    if(data=='ok') location.href="";
                });
            }
            return false;
        });
    }
});